package cn.com.qmth.examcloud.core.questions.service.bean;

import java.util.ArrayList;
import java.util.List;

import org.springframework.stereotype.Component;

import cn.com.qmth.examcloud.core.questions.dao.entity.dto.PropertyDto;
import cn.com.qmth.examcloud.core.questions.dao.entity.Property;

@Component
public class PropertyAssembler {

    /**
     * 得到父节点对象
     *
     * @param propertyDto
     * @return
     */
    public Property toProperty(PropertyDto propertyDto) {
        Property property = null;
        if (propertyDto != null) {
            property = new Property();
            property.setId(propertyDto.getId());
            property.setCoursePropertyId(propertyDto.getCoursePropertyId());
            property.setName(propertyDto.getName());
            property.setParentId(propertyDto.getCoursePropertyId());
            property.setRemark(propertyDto.getRemark());
        }
        return property;
    }

    /**
     * 得到子类节点对象
     *
     * @param propertyDto
     * @return
     */
    public List<Property> toPropertySon(PropertyDto propertyDto) {
        Property property = null;
        List<PropertyDto> propertyDtos = propertyDto.getPropertyDtos();
        if (propertyDtos != null && propertyDtos.size() > 0) {
            List<Property> properties = new ArrayList<Property>();
            for (PropertyDto propertyDto2 : propertyDtos) {
                property = toProperty(propertyDto2);
                properties.add(property);
            }
            return properties;
        }
        return null;
    }
}
